glab(1)

NAME
glab-issue-update - Update issue.

SYNOPSIS
glab issue update [flags]

DESCRIPTION
Change an issue's labels, assignees, milestone, title, or description. Use --label and --unlabel to add or remove labels.

OPTIONS
-a, --assignee=[]
    Assign users by username. Prefix with '!' or '-' to remove from existing assignees, or '+' to add new. Otherwise, replace existing assignees with these users. Multiple usernames can be comma-separated or specified by repeating the flag.

-c, --confidential[=false]
    Make issue confidential.

-d, --description=""
    Issue description. Set to "-" to open an editor.

--due-date=""
    A date in 'YYYY-MM-DD' format.

-l, --label=[]
    Add labels.

--lock-discussion[=false]
    Lock discussion on issue.

-m, --milestone=""
    Title of the milestone to assign Set to "" or 0 to unassign.

-p, --public[=false]
    Make issue public.

-t, --title=""
    Title of issue.

--unassign[=false]
    Unassign all users.

-u, --unlabel=[]
    Remove labels.

--unlock-discussion[=false]
    Unlock discussion on issue.

-w, --weight=0
    Set weight of the issue.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    glab issue update 42 --label ui,ux
    glab issue update 42 --unlabel working

SEE ALSO
glab-issue(1)